Bug 835025 - [Storage] VM with shared disk can not be deleted. Stays in image lock forever.
[Storage] VM with shared disk can not be deleted. Stays in image lock forever.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.1.0
Assigned To: Tal Nisan
Leonid Natapov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 05:53 EDT by Leonid Natapov
Modified: 2016-02-10 11:53 EST (History)
9 users (show)

See Also:
Fixed In Version: si11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log (47.84 KB, application/octet-stream)
2012-07-03 04:21 EDT, Leonid Natapov
no flags Details

  None (edit)
Description Leonid Natapov 2012-06-25 05:53:08 EDT
VM with shared disk can not be deleted. Stays in image lock forever.
The problem is in RemoveAllVmImagesCommand.

 could not find vds that is spm and non-operational.
2012-06-25 12:36:46,198 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsValidVDSCommand] (ajp--0.0.0.0-8009-22) START, IsValidVDSCommand(storagePoolId = 3792fdc6-49cb-49e4-ae71-7bbd0945428c, ignoreFailoverLimit = false, compatabilityVersion = null), log id: 303a2dc4
2012-06-25 12:36:46,200 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsValidVDSCommand] (ajp--0.0.0.0-8009-22) FINISH, IsValidVDSCommand, return: true, log id: 303a2dc4
2012-06-25 12:36:46,246 INFO  [org.ovirt.engine.core.bll.RemoveVmCommand] (pool-3-thread-50) [6759157b] Lock Acquired to object EngineLock [exclusiveLocks= key: 774045af-6094-4982-be28-61d05f7aaf18 value: VM
, sharedLocks= ]
2012-06-25 12:36:46,316 INFO  [org.ovirt.engine.core.bll.RemoveVmCommand] (pool-3-thread-50) [6759157b] Running command: RemoveVmCommand internal: false. Entities affected :  ID: 774045af-6094-4982-be28-61d05f7aaf18 Type: VM
2012-06-25 12:36:46,332 INFO  [org.ovirt.engine.core.vdsbroker.SetVmStatusVDSCommand] (pool-3-thread-50) [6759157b] START, SetVmStatusVDSCommand(vmId = 774045af-6094-4982-be28-61d05f7aaf18, status = ImageLocked), log id: 730d63cc
2012-06-25 12:36:46,339 INFO  [org.ovirt.engine.core.vdsbroker.SetVmStatusVDSCommand] (pool-3-thread-50) [6759157b] FINISH, SetVmStatusVDSCommand, log id: 730d63cc
2012-06-25 12:36:46,376 INFO  [org.ovirt.engine.core.bll.RemoveVmCommand] (pool-3-thread-50) [6759157b] Lock freed to object EngineLock [exclusiveLocks= key: 774045af-6094-4982-be28-61d05f7aaf18 value: VM
, sharedLocks= ]
2012-06-25 12:36:46,383 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.RemoveVMVDSCommand] (pool-3-thread-50) [6759157b] START, RemoveVMVDSCommand(storagePoolId = 3792fdc6-49cb-49e4-ae71-7bbd0945428c, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = 00000000-0000-0000-0000-000000000000, vmGuid = 774045af-6094-4982-be28-61d05f7aaf18), log id: 778aad5b
2012-06-25 12:36:46,418 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.RemoveVMVDSCommand] (pool-3-thread-50) [6759157b] FINISH, RemoveVMVDSCommand, log id: 778aad5b
2012-06-25 12:36:46,423 INFO  [org.ovirt.engine.core.bll.RemoveAllVmImagesCommand] (pool-3-thread-50) [317b6ead] Running command: RemoveAllVmImagesCommand internal: true. Entities affected :  ID: 774045af-6094-4982-be28-61d05f7aaf18 Type: VM
Comment 2 Leonid Natapov 2012-07-03 04:20:41 EDT
Before opening this bug I talked to Kublin and showed him the scenario and the case.He opened a code and found a problem and asked to add this specific part of the log in the bug. In any case I will attach the complete log.
Comment 3 Leonid Natapov 2012-07-03 04:21:58 EDT
Created attachment 595901 [details]
engine log
Comment 4 Leonid Natapov 2012-07-22 07:30:08 EDT
si11. VM with shared disk can be deleted. fixed.

Note You need to log in before you can comment on or make changes to this bug.